package com.prolog.cs.biz.inbound.service;

import com.prolog.cs.biz.inbound.dto.InterfaceRqcBillDTO;
import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description  
 * @Date 2021-03-24 
 */

public interface InterfaceRqcBillService {

	/**
 	* @Description   
 	* @Date 2021-03-24 
 	* add InterfaceRqcBillDTO 
 	*/
	public Object add(InterfaceRqcBillDTO interfaceRqcBillDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* edit InterfaceRqcBillDTO 
 	*/
	public Object edit(String pkId,InterfaceRqcBillDTO interfaceRqcBillDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete InterfaceRqcBillDTO 
 	*/
	public Object deletePkId(String pkId);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete InterfaceRqcBillDTO 
 	*/
	public Object delIds(List<String> pkIdList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* page condition search InterfaceRqcBillDTO 
 	*/
	public Page<InterfaceRqcBillDTO> findList(InterfaceRqcBillDTO interfaceRqcBillDTO,PageParam pageParam);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchAdd InterfaceRqcBillDTO 
 	*/
	public Object batchAdd(List<InterfaceRqcBillDTO> interfaceRqcBillDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchEdit InterfaceRqcBillDTO 
 	*/
	public Object batchEdit(List<InterfaceRqcBillDTO> interfaceRqcBillDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* condition search all InterfaceRqcBillDTO 
 	*/
	public List<InterfaceRqcBillDTO> findAll(InterfaceRqcBillDTO interfaceRqcBillDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* findOne InterfaceRqcBillDTO 
 	*/
	public InterfaceRqcBillDTO findByPkId(String pkId);
}
